=== debian/changelog ===
sympl-firewall (9.0.190604.0) stable; urgency=medium

  * Replaced mentions of Symbiosis with Sympl.
  * Renamed package to sympl-firewall

 -- Paul Cammish <sympl@kelduum.net>  Tue, 04 Jun 2019 23:00:00 +0100

symbiosis-firewall (2018:0717) stable; urgency=medium

  * Fixed typo in pattern.rb to prevent erroneous cron emails.

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Tue, 17 Jul 2018 08:31:29 +0100

symbiosis-firewall (2017:0901) stable; urgency=medium

  * Removed default install of reject-www-data rule.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 01 Sep 2017 15:17:19 +0100

symbiosis-firewall (2017:0510) stable; urgency=medium

  * Store monit configuration in /usr/share instead of /etc. Use symlinks to
    allow users to enable/disable but discourage editing

 -- Telyn <telyn@bytemark.co.uk>  Wed, 10 May 2017 13:42:15 +0100

symbiosis-firewall (2017:0424) stable; urgency=medium

  * Updated monit scripts to work with systemd.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 14:40:11 +0100

symbiosis-firewall (2015:1024) stable; urgency=medium

  * Ensure manpages are generated as part of the build task.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 06 Jul 2017 16:07:35 +0100

symbiosis-firewall (2015:1023) stable; urgency=medium

  * Updated code to work with the new version of symbiosis-common. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 14 Jan 2016 16:42:37 +0000

symbiosis-firewall (2015:1022) stable; urgency=medium

  * Make sure firewall rules for all addresses are applied properly.
  * Fixed two cases of overly verbose output, one from testing to see if the
    nat table exists, and the other parsing IP addresses.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 22 Oct 2015 16:57:36 +0100

symbiosis-firewall (2015:1009) stable; urgency=medium

  * Changed REJECT target to send back a tcp-reset packet for TCP connections.
  * Only flush nat table if it exists.
  * Rejigged DNS resolution code not to barf if DNS is unavailable.
  * Added basic SYN-ACK/ACK flood protection.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 09 Oct 2015 17:00:10 +0100

symbiosis-firewall (2015:0617) stable; urgency=medium

  * Changed File#exists? to File#exist? everywhere.
  * Added high numbered port range for passive FTP + TLS.
  * Now all tables (filter, nat, raw) are flushed.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 17 Jun 2015 10:22:48 +0100

symbiosis-firewall (2015:0128) stable; urgency=medium

  * Updated the Debian standards.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 28 Jan 2015 09:55:09 +0000

symbiosis-firewall (2014:1111) stable; urgency=medium

  * Updated postinst not to use scripts with paths.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 07 Aug 2015 21:36:28 +0100

symbiosis-firewall (2014:1110) stable; urgency=medium

  * Make sure firewall patterns are anchored at one end.
  * Ignore .dpkg-* files in directories.
  * Sanitise log lines to prevent bad UTF causing problems.

 -- James Carter <jcarter@bytemark.co.uk>  Mon, 10 Nov 2014 10:57:26 +0000

symbiosis-firewall (2014:0313) stable; urgency=medium

  * Make sure the firewall load script has sbin in its path.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 13 Mar 2014 16:09:07 +0000

symbiosis-firewall (2014:0226) stable; urgency=low

  * Tidied up the postinstall for the better, I hope.
  * Removed preinst.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 26 Feb 2014 15:54:58 +0000

symbiosis-firewall (2014:0218) stable; urgency=low

  * Updated postinst to chown the firewall directory to admin:admin, rather
    than 1000:1000.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 18 Feb 2014 13:16:33 +0000

symbiosis-firewall (2014:0217) stable; urgency=low

  * Removed old lenny command symlinks.
  * Removed extra spaces from incron.d snippet.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 17 Feb 2014 11:58:29 +0000

symbiosis-firewall (2014:0214) stable; urgency=low

  * Removed DH_VERBOSE flag in rules.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 14 Feb 2014 13:11:04 +0000

symbiosis-firewall (2014:0211) stable; urgency=low

  * Removed comments in incron.d snippet.
  * Updated db libraries to fix warnings.
  * Empty hostnames/ports are now ignored.
  * Added more tests to IPDirectory class.
  * Accept service names in blacklist files.
  * Added bug control.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 11 Feb 2014 15:24:03 +0000

symbiosis-firewall (2014:0116) stable; urgency=low

  * Updated incrond to use /usr/bin/ruby
  * Fixed missing variable in symbiosis-firewall-whitelist.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 16 Jan 2014 16:39:12 +0000

symbiosis-firewall (2014:0113) stable; urgency=low

  * Updated dependencies.
  * Updateded maintainer and uploaders.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 13 Jan 2014 17:05:58 +0000

symbiosis-firewall (2013:0711) stable; urgency=low

  * Changing build tag + added ruby1.8 dependency.

 -- John Hackett <jhackett@maker.sh.bytemark.co.uk>  Thu, 11 Jul 2013 15:12:37 +0100

symbiosis-firewall (2013:0611) stable; urgency=low

  * Configure the firewall not to run duing ifup/down if the interface is the
    "lo" loopback interface.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 11 Jun 2013 16:34:16 +0100

symbiosis-firewall (2013:0610) oldstable; urgency=low

  * Fixed disabling white/blacklist functionality.
  * Changed blacklist to drop rather than reject connections.
  * Blacklist limits are now 100/24h or 25 since last run.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 10 Jun 2013 14:31:48 +0100

symbiosis-firewall (2012:0418) oldstable; urgency=low

  * Symbiosis::Firewall::Template#to_s no longer tries to interpolate / strip
    $ variables in comment lines.
  * Fixed spelling error in symbiosis-firewall

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 18 Apr 2012 15:40:15 +0100


