=== debian/control ===
Source: sympl-firewall
Section: net
Priority: extra
Maintainer: Paul Cammish <sympl@kelduum.net>
Uploaders: Paul Cammish <sympl@kelduum.net>
Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man, ruby, ruby-dev
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: sympl-firewall
Architecture: any
Depends: iptables, ruby, sympl-common, libruby, ruby-sqlite3, incron, ${shlibs:Depends}, ${misc:Depends}
Replaces: symbiosis-firewall
Provides: symbiosis-firewall
Conflicts: symbiosis-firewall
Description: Sympl firewall generator
 This package contains a firewall generator which makes it simple to restrict
 the incoming and outgoing connections a machine is permitted to accept or
 initiate.
 .
 The firewall also allows the user to restrict the abilities of the
 www-data user  which will ensure that any PHP, or website, compromises
 do not propagate.
